summary <- read.csv(file="summary_T5_M5_q5_L50.csv", header=TRUE, sep=",")

idx = 1:3 #1:3 or 5:7 or 9:11 or 13:15
q = summary[idx,1]
n = summary[idx,2]
loc = as.numeric(as.matrix(summary[idx,3]))
sca = as.numeric(as.matrix(summary[idx,4]))
sha = as.numeric(as.matrix(summary[idx,5]))
locAlternative = summary[idx,12:37]
scaAlternative = summary[idx,38:63]
shaAlternative = summary[idx,64:89]

#####################################################################
# Location Alternatives
#####################################################################
plot(loc[1]+0:25*0.02,locAlternative[1,],type="l",lty=3,ylim=c(0,1),xlab="Location Alternative",ylab="Coverage Frequency")
par(new=TRUE)
plot(loc[2]+0:25*0.02,locAlternative[2,],type="l",lty=2,ylim=c(0,1),xlab="",ylab="")
par(new=TRUE)
plot(loc[3]+0:25*0.02,locAlternative[3,],type="l",lty=1,ylim=c(0,1),xlab="",ylab="")
legend(x=loc[1]+0.375,y=1,c(paste("n =",n[1]),paste("n =",n[2]),paste("n =",n[3])),lty=c(3,2,1))
abline(v=loc[1],col="gray")

#####################################################################
# Scale Alternatives
#####################################################################
plot(sca[1]+0:25*0.02,scaAlternative[1,],type="l",lty=3,ylim=c(0,1),xlab="Scale Alternative",ylab="Coverage Frequency")
par(new=TRUE)
plot(sca[2]+0:25*0.02,scaAlternative[2,],type="l",lty=2,ylim=c(0,1),xlab="",ylab="")
par(new=TRUE)
plot(sca[3]+0:25*0.02,scaAlternative[3,],type="l",lty=1,ylim=c(0,1),xlab="",ylab="")
legend(x=sca[1]+0.375,y=1,c(paste("n =",n[1]),paste("n =",n[2]),paste("n =",n[3])),lty=c(3,2,1))
abline(v=sca[1],col="gray")



